## desktop-base 0.3.14

=== Makefile ===
DEFAULT_BACKGROUND=bluedeb-1024x768.jpg

INSTALL=install -m 0644 
BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg)
SPLASH=$(wildcard splash/*.png)
PIXMAPS=$(wildcard pixmaps/*.png)
DESKTOPFILES=$(wildcard *.desktop)

all: 

install:
	# needed if gnome-session is not installed
	mkdir -p $(DESTDIR)/usr/share/pixmaps/splash

	# the package itself
	mkdir -p $(DESTDIR)/usr/share/images/desktop-base
	$(INSTALL) $(BACKGROUNDS) $(DESTDIR)/usr/share/images/desktop-base
	cd $(DESTDIR)/usr/share/images/desktop-base && ln -s $(DEFAULT_BACKGROUND) default
	$(INSTALL) $(SPLASH) $(DESTDIR)/usr/share/images/desktop-base
	mkdir -p $(DESTDIR)/usr/share/desktop-base
	$(INSTALL) $(DESKTOPFILES) $(DESTDIR)/usr/share/desktop-base/
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	$(INSTALL) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/

=== debian/changelog ===
desktop-base (0.3.14) unstable; urgency=low

  * pixmaps/debian-official-logo-small.png:
  - remove official logo as it is not DFSG-free (Closes: #246784)
  * debian/control:
  - Recommends: epiphany-browser | konqueror | www-browser

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 11 May 2004 17:25:09 -0300

desktop-base (0.3.13) unstable; urgency=low

  * debian/postinst:
  - modified the check for $2 being empty
    (Closes: #242059)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  4 Apr 2004 16:43:11 -0300

desktop-base (0.3.12) unstable; urgency=medium

  * debian/preinst:
  - remove the alternative stuff first to make it possible
    to remove the diversion
    (Closes: #241439, #241402, #241339, #241463)
  * splash/Splash-EvolvingTux.png:
  - remove while I try to sort out the legal issues
    try to get this into sarge soon (urgency=medium)
    (Closes: #241246)
  * debian/postinst:
  - regenerate the gconf default file by running libgnome2-common's
    postinst when upgrading from an older version (Closes: #241403)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu,  1 Apr 2004 16:44:26 -0300

desktop-base (0.3.11) unstable; urgency=low

  * debian/prerm, debian/postinst, debian/postrm:
  - remove them all
  * debian/preinst:
  - stop providing the diversion and the gnome-splash
    alternative if upgrading from diversion-including
    versions
  * Makefile, gconf/:
  - stop providing a default configuration for the
    background
  * debian/control:
  - updated Standards-Version to 3.6.1
  * debian/copyright:
  - included GPL location in common-licenses

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 30 Mar 2004 16:35:49 -0300

desktop-base (0.3.10) unstable; urgency=low

  * debian/postrm:
  - remove the unnecessary rm, sorry for the delay (Closes: #223925)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 18 Jan 2004 01:12:39 -0200

desktop-base (0.3.9) unstable; urgency=low

  * debian/preinst:
  - really fix the problem with local diversion, by removing it and
    readding it (Closes: #218091)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 12 Nov 2003 12:54:37 -0200

desktop-base (0.3.8) unstable; urgency=low

  * debian/postinst:
  - change priorities to make Debian_red the default
  * gconf/.../%gconf.xml:
  - set the default background file to /usr/share/images/desktop-base/default
  * Makefile:
  - install the gconf file

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 11 Nov 2003 13:17:22 -0200

desktop-base (0.3.7) unstable; urgency=low

  * debian/preinst:
  - remove the problematic local diversion, added the right thing
    (Closes: #218091).
  * splash/Debian-Splash.{xcf,png}:
  - edited to remove the white border and enlarge the image a bit
    (Closes: #218896)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 11 Nov 2003 00:27:50 -0200

desktop-base (0.3.6) unstable; urgency=low

  * New Maintainer
  * debia/rules:
  - use cdbs package
  * debian/control:
  - Depends on cdbs
  * debian/{postinst,preinst,postrm,prerm}:
  - set up a diversion and the alternatives system for the
    /usr/share/pixmaps/splash/gnome-splash.png file, making
    Splash-Debian the default.
  * splash/{Splash-Debian_red.png,Splash-EvolvingTux.png}:
  - added new splashs (Closes: #200007, #205258)
  * Makefile:
  - create /usr/share/pixmaps/splash

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 21 Oct 2003 15:22:12 -0200

desktop-base (0.3.5) unstable; urgency=low

  * debian-reference.desktop:
    - Change URL to the actual reference guide, and fix typo "manaul" =>
    "manual" (Closes: #172737).

 -- Colin Walters <walters@debian.org>  Fri,  3 Jan 2003 14:57:55 -0500

desktop-base (0.3.4) unstable; urgency=low

  * Make a symlink /usr/share/images/desktop-base/default pointing to the
    default background we want.
  * debian/rules:
    - Use the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Thu, 19 Dec 2002 19:19:14 -0500

desktop-base (0.3.3) unstable; urgency=low

  * debian/rules:
    - Use the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Thu, 21 Nov 2002 00:47:57 -0500

desktop-base (0.3.2) unstable; urgency=low

  * debian/backgrounds/bluedeb-1024x768.jpg:
    - New background from Roger So.

 -- Colin Walters <walters@debian.org>  Wed, 20 Nov 2002 23:49:14 -0500

desktop-base (0.3.1) unstable; urgency=low

  * Update splash/Debian-Splash.xcf, splash/Debian-Splash.png.
  * debian/rules:
    - Use Colin's Build System.
  * debian/desktop-base.install:
    - New.

 -- Colin Walters <walters@debian.org>  Wed, 06 Nov 2002 14:26:22 -0500

desktop-base (0.3) unstable; urgency=low

  * Remove debian-wallpaper1280x1024.png; it was big and useless.
  * Add splash/Debian-Splash.xcf, splash/Debian-Splash.png.

 -- Colin Walters <walters@debian.org>  Thu, 31 Oct 2002 15:01:53 -0500

desktop-base (0.2-1) unstable; urgency=low

  * Actually link to the installed images (Closes: #166245).
    Oops.

 -- Colin Walters <walters@debian.org>  Fri, 25 Oct 2002 00:55:19 -0400

desktop-base (0.1-1) unstable; urgency=low

  * Initial Version (Closes: #165928).

 -- Colin Walters <walters@debian.org>  Tue, 22 Oct 2002 15:05:34 -0400

## desktop-base 0.3.15

=== Makefile ===
DEFAULT_BACKGROUND=desktop-background

INSTALL=install -m 0644 
BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg)
EMBLEMS=$(wildcard emblems/*png emblems/*icon)
SPLASH=$(wildcard splash/*.png)
PIXMAPS=$(wildcard pixmaps/*.png)
DESKTOPFILES=$(wildcard *.desktop)

all:

install:
	mkdir -p $(DESTDIR)/usr/share/images/desktop-base
	$(INSTALL) $(BACKGROUNDS) $(DESTDIR)/usr/share/images/desktop-base
	cd $(DESTDIR)/usr/share/images/desktop-base && ln -s $(DEFAULT_BACKGROUND) default
	$(INSTALL) $(SPLASH) $(DESTDIR)/usr/share/images/desktop-base

	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/emblems
	$(INSTALL) $(EMBLEMS) $(DESTDIR)/usr/share/icons/hicolor/48x48/emblems/

	mkdir -p $(DESTDIR)/usr/share/desktop-base
	$(INSTALL) $(DESKTOPFILES) $(DESTDIR)/usr/share/desktop-base/

	mkdir -p $(DESTDIR)/usr/share/pixmaps
	$(INSTALL) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/

=== debian/changelog ===
desktop-base (0.3.15) unstable; urgency=low

  * postinst, prerm:
  - use alternatives to provide the default background and splash
  * backgrounds/debblue-1600x1200.png:
  - added debblue's largest background
  * debian/copyright:
  - updated to mention the debblue copyright/license
  * emblems/emblem-debian.{png,icon}:
  - added emblem for hicolor theme contributed by
    Dan Korostelev <dan@ats.energo.ru> (Closes: #257923)
  * Makefile:
  - install emblem in /usr/share/icons/hicolor/48x48/emblems/
  - install debblue background, and splash and make them 
    the default

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 23 Oct 2004 23:34:52 -0300

=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Build-Depends-Indep: cdbs, debhelper (>> 4.0.0)
Standards-Version: 3.6.1

Package: desktop-base
Architecture: all
Recommends: epiphany-browser | konqueror | www-browser
Suggests: gnome | kde | wmaker
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/desktop-base/

## desktop-base 0.3.16build1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 DEFAULT_BACKGROUND=desktop-background
 
 INSTALL=install -m 0644 
-BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg)
+BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg backgrounds/*.svg)
 EMBLEMS=$(wildcard emblems/*png emblems/*icon)
 SPLASH=$(wildcard splash/*.png)
 PIXMAPS=$(wildcard pixmaps/*.png)

=== debian/changelog ===
desktop-base (0.3.16build1) dapper; urgency=low

  * Rebuild to use dh_iconcache.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 18 May 2006 15:03:38 +0200

desktop-base (0.3.16) unstable; urgency=low

  * GNOME Team Upload
  * backgrounds/debian-background.svg, debian/copyright,
    debian/{postinst,prerm}, Makefile:
  - added background provided by Josselin Mouette <joss@debian.org>
    to fit good with GNOME2.12's splash and theme look
    (Closes: #332873)
  * debian/prerm:
  - fixed bashism -o -> ] || [
  * debian/control.in:
  - added, updated Standards-Version to 3.6.2 with no changes
  - added gnome-pkg-tools to Build-Deps, updated debhelper's
    version requirement
  - added xfce4 to the Suggests after kde, before wmaker
  - added the Uploaders field
  * debian/rules:
  - include the pkg-gnome makefile include to generate the Uploaders
    field correctly

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  9 Oct 2005 16:14:10 -0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: x11
 Priority: optional
 Maintainer: Gustavo Noronha Silva <kov@debian.org>
-Build-Depends-Indep: cdbs, debhelper (>> 4.0.0)
-Standards-Version: 3.6.1
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Carlos Perelló Marín <carlos@pemas.net>, Clément Stenac <zorglub@debian.org>, Ed Boraas <ed@debian.org>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Guilherme de S. Pastore <guilherme.pastore@terra.com.br>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Joe Drew <drew@debian.org>, Johannes Rohr <jr.debian@rohr.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Loic Minier <lool@dooz.org>, Marc 'HE' Brockschmidt <he@debian.org>, Ondřej Surý <ondrej@debian.org>, Rob Bradford <rob@debianplanet.org>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@debian.org>, Sebastien Bacher <seb128@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Takuo KITAME <kitame@debian.org>
+Build-Depends-Indep: cdbs, debhelper (>> 4.1.0), gnome-pkg-tools
+Standards-Version: 3.6.2
 
 Package: desktop-base
 Architecture: all
 Recommends: epiphany-browser | konqueror | www-browser
-Suggests: gnome | kde | wmaker
+Suggests: gnome | kde | xfce4 | wmaker
 Description: common files for the Debian Desktop
  This package contains various miscellaneous files which are used by
  Debian Desktop installations.  Currently, it provides some

## desktop-base 0.3.17

=== debian/changelog ===
desktop-base (0.3.17) unstable; urgency=low

  [ Gustavo Franco ]
  * Debian Desktop sid artwork added (including originals in .xcf):
    - wallpapers/gnome-debian-sid-wp.png
    - splash/gnome-debian-sid-splash.png
  * debian/README.Debian: added, containing notes about Debian
    Desktop artwork layout and more.
  * debian/copyright: updated, including the new images copyright notes

  [ Loic Minier ]
  * Rename Build-Depends-Indep to Build-Depends.
  * Bump up Standards-Version to 3.7.2.
  * Bump up Debhelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Thu, 15 Jun 2006 21:35:25 +0200

=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Clément Stenac <zorglub@debian.org>, Dafydd Harries <daf@debian.org>, Guilherme de S. Pastore <gpastore@debian.org>, Gustavo Franco <stratus@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Loic Minier <lool@dooz.org>, Marc 'HE' Brockschmidt <he@debian.org>, Marco Cabizza <marco87@gmail.com>, Ondřej Surý <ondrej@debian.org>, Ross Burton <ross@debian.org>, Sebastien Bacher <seb128@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Takuo KITAME <kitame@debian.org>
Build-Depends: cdbs, debhelper (>= 5), gnome-pkg-tools
Standards-Version: 3.7.2

Package: desktop-base
Architecture: all
Recommends: epiphany-browser | konqueror | www-browser
Suggests: gnome | kde | xfce4 | wmaker
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/desktop-base/

## desktop-base 2.0.3

=== debian/changelog ===
desktop-base (1:2.0.3) unstable; urgency=medium

  * Use darkpurpy-icon-theme

 -- fsmithred <fsmithred@gmail.com>  Mon, 30 Apr 2018 14:12:00 -0400

desktop-base (1:2.0.2) unstable; urgency=medium

  * Add support for lightdm

 -- fsmithred <fsmithred@gmail.com>  Sun, 11 Feb 2018 11:59:00 -0500

desktop-base (1:2.0.1) unstable; urgency=medium

  * Check for xfce files before doing anything with them.

 -- fsmithred <fsmithred@gmail.com>  Fri, 09 Feb 2018 20:15:00 -0500

desktop-base (1:2.0) unstable; urgency=medium

  * Bump version number for ascii.

 -- fsmithred <fsmithred@gmail.com>  Thu, 11 Jan 2018 17:35:00 -0500

desktop-base (1:1.8a) unstable; urgency=medium

  * Replaced gnu-linux.png grub icon with a gnu.
  * Changed to Ascii's darkpurpy theme (golinux)
  * Fixed some typos.
  * Call update_boot() at end of postinst.

 -- fsmithred <fsmithred@gmail.com>  Wed, 27 Dec 2017 07:31:00 -0500

desktop-base (1:1.2) unstable; urgency=medium

  * Improve accessibility:

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Thu, 18 May 2017 12:47:54 +1200

desktop-base (1:1.1) unstable; urgency=medium

  * add removal cases and change shell to bash

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Sat, 22 Apr 2017 00:46:48 +1200

desktop-base (1:1.0) unstable; urgency=medium

  * add Conflicts for xfce4-panel and xfce4-settings
  * fixup! add Conflicts for xfce4-panel and xfce4-settings
  * fixup! fixup! add Conflicts for xfce4-panel and xfce4-settings
  * added dependency on gnome-icon-theme-extras

 -- Daniel Reurich <daniel@centurion.net.nz>  Fri, 21 Apr 2017 14:17:07 +1200

desktop-base (1:0.203) unstable; urgency=medium

  * more removals of conflicting files

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Fri, 21 Apr 2017 11:44:09 +1200

desktop-base (1:0.202) unstable; urgency=medium

  * reduce xfce4 profile to minimum and fix install

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Fri, 21 Apr 2017 11:28:37 +1200

desktop-base (1:0.201) unstable; urgency=medium

  * treat xfce4-xsettings.xml as a file target
  * add alternative for xfwm4.xml
  * add gdo icon to panel
  * update gbp.conf

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Wed, 19 Apr 2017 09:02:02 +1200

desktop-base (1:0.200) unstable; urgency=medium

  [ KatolaZ ]
  * new slim files, as provided by fsmithred

  [ Daniel Reurich ]
  * fix xfce4 xsettings.xml mappings

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 17 Apr 2017 03:21:23 +1200

desktop-base (1:0.199) unstable; urgency=medium

  [ Daniel Reurich ]
  * Update changelog for 1:0.105~3.gbp4fc931 release

  [ KatolaZ ]
  * added gnome-extra-icons to deps
  * re-creating debian/gbp.conf for suite suites/jessie-proposed
  * staging version 1:0.199~1
  * Solved mistakes in postinst and prerm


 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 12 Apr 2017 19:31:26 +0100

desktop-base (1:0.105) unstable; urgency=medium

  [ Daniel Reurich ]
  ** SNAPSHOT build @4fc9312a664dfa80a00cf4af9579989cc126fcf3 **

  * Add support for removing dir paths
  * Support differing link names
  * Rename alternative name for xfce4 => xfce4-theme
  * merge in config from xfce4-settings stock config
  * merge with default config from xfce-settings package
  * Add defaults from xfce-settings package default profile
  * fix missing xml section closures.
  * Add noise about the package name
  * Update changelog for 1:0.105~2.gbp26bfa1 release
  * rename master link xfce -> xfce4
  * Update changelog for 1:0.105~3.gbp4fc931 release

  [ KatolaZ ]
  * added gnome-extra-icons to deps
  * re-creating debian/gbp.conf for suite suites/jessie-proposed

 
 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 12 Apr 2017 19:18:31 +0100

desktop-base (1:0.104) unstable; urgency=medium

  * add alternative for xfce4 theme

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Thu, 05 Jan 2017 22:09:36 +1300

desktop-base (1:0.103) unstable; urgency=medium

  * add support for slim themes
  * add handler for slim directory support
  * add deployment of slim themes
  * fix slim folder install
  * Revert "fix slim folder install"
  * fix install slim
  * add devuan-curve-purpy slim theme
  * change alternatives symlink location
  * tidy up indentation.
  * Add detail about the manifest wrt /etc/alternatives
  * update slim to desktop-slim-theme 2nd reference
  * Add comment about desktop-base.manifest function
  * fix install location for slim themes
  * fix desktop-slim-theme path
  * Import purpy theme from hellekins private repo

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Wed, 21 Dec 2016 00:36:00 +1300

desktop-base (1:0.102) unstable; urgency=medium

  [ Daniel Reurich ]
  * Remove hack on /etc/default/grub.

  [ hellekin ]
  * Update devuan-security.desktop with correct URL.

  [ Daniel Reurich ]
  * fix missing .svg extension

  [ hellekin ]
  * Add Devuan security pixmap and update README (Fixes #21 and #23)
  * Fix markdown
  * Fix README.md
  * Plural
  * Different is better.
  * Remove 'bloo' from available backgrounds [use Icy instead] (closes #25)
  * Add missing extension

  [ Daniel Reurich ]
  * fix typo in path for desktop-image
  * Added xsettings to set themes
  * Reduce to essential changes only
  * Added recommends for theme packages
  * change recommends to depends

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Thu, 15 Dec 2016 12:34:37 +1300

desktop-base (1:0.101) unstable; urgency=medium

  * fix desktop background linkage

 -- Daniel Reurich <daniel@centurion.net.nz>  Fri, 22 Apr 2016 15:36:48 +0000

desktop-base (1:0.100) unstable; urgency=medium

  [ hellekin ]
  * Add icons for Devuan
  * Add default links to desktop
  * Add devuan-sec icon
  * Fix devuan-sec desktop file

  [ Daniel Reurich ]
  * Remove hack on /etc/default/grub.

 -- Daniel Reurich <daniel@centurion.net.nz>  Fri, 22 Apr 2016 14:57:40 +0000

desktop-base (1:0.99) unstable; urgency=low



=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: fsmithred <fsmithred@gmail.com>
Build-Depends: cdbs (>= 0.4.93), debhelper (>= 9), git
Standards-Version: 3.9.6
Homepage: https://git.devuan.org/packages-base/desktop-base
Vcs-Browser: https://git.devuan.org/packages-base/desktop-base
Vcs-Git: https://git.devuan.org/packages-base/desktop-base.git

Package: desktop-base
Architecture: all
Depends: librsvg2-common, dmz-cursor-theme, clearlooks-phenix-darkpurpy-theme, darkpurpy-icon-theme, gnome-extra-icons, gnome-icon-theme-extras
Pre-Depends: dpkg (>= 1.15.7.2~)
Suggests: gnome | kde-standard | xfce4 | wmaker
Conflicts: xfce4-panel (<< 4.12.1-2), 
 xfce4-settings (<< 4.12.1-1)
Breaks: xfce4-panel (<< 4.12.1-2), 
 xfce4-settings (<< 4.12.1-1)
Description: common files for the Devuan Desktop
 This package contains various miscellaneous files which are used by
 Devuan Desktop installations.  Currently, it provides some
 Devuan-related artwork and themes, .desktop files containing links to
 Devuan related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk


binary-fixup/desktop-base::
	dh_gconf --priority=15

## desktop-base 3.0

=== Makefile ===
GRUB_THEMES=kaisen-theme/grub\
	lightdm/grub \
	lightdm-blue/grub \
	lockscreen/grub \
	additional1/grub \
	additional2/grub \
	additional3/grub \
	additional4/grub \
	additional5/grub \
	additional6/grub \
	additional7/grub \
DEFAULT_BACKGROUND=desktop-background

PIXMAPS_AVATARS=$(wildcard pixmaps/avatars/*.[ps][vn]g)
PIXMAPS_LOGOS=$(wildcard pixmaps/logos/*.[ps][vn]g)
PIXMAPS_MENUS=$(wildcard pixmaps/menus/*.[ps][vn]g)
DESKTOPFILES=$(wildcard *.desktop)

.PHONY: all clean install install-local
all: build-emblems build-logos
clean: clean-emblems clean-logos

.PHONY: install-grub
install-grub:
	@target=`echo $@ | sed s/-grub//`; \
	for grub_theme in $(GRUB_THEMES) ; do \
		if [ -f $$grub_theme/Makefile ] ; then \
			$(MAKE) $$target -C $$grub_theme || exit 1; \
		fi \
	done

.PHONY: build-emblems clean-emblems install-emblems
build-emblems clean-emblems install-emblems:
	@target=`echo $@ | sed s/-emblems//`; \
	$(MAKE) $$target -C emblems-kaisen || exit 1;

.PHONY: build-logos clean-logos install-logos
build-logos clean-logos install-logos:
	@target=`echo $@ | sed s/-logos//`; \
	$(MAKE) $$target -C kaisen-logos || exit 1;

install: install-grub install-emblems install-logos install-local

install-local:
	#plymouth configurations
	mkdir -p $(DESTDIR)/usr/share/plymouth/
	$(INSTALL_DATA) plymouth-confs/plymouthd.defaults $(DESTDIR)/usr/share/plymouth
	mkdir -p $(DESTDIR)/etc/plymouth
	$(INSTALL_DATA) plymouth-confs/plymouthd.conf $(DESTDIR)/etc/plymouth

	# background files
	mkdir -p $(DESTDIR)/usr/share/images/desktop-base
	cd $(DESTDIR)/usr/share/images/desktop-base && ln -s $(DEFAULT_BACKGROUND) default
	# desktop files
	mkdir -p $(DESTDIR)/usr/share/desktop-base
	$(INSTALL_DATA) $(DESKTOPFILES) $(DESTDIR)/usr/share/desktop-base/
	# pixmaps files
	mkdir -p $(DESTDIR)/usr/share/pixmaps/kaisen-pics/avatars
	$(INSTALL_DATA) $(PIXMAPS_AVATARS) $(DESTDIR)/usr/share/pixmaps/kaisen-pics/avatars
	mkdir -p $(DESTDIR)/usr/share/pixmaps/kaisen-pics/logos
	$(INSTALL_DATA) $(PIXMAPS_LOGOS) $(DESTDIR)/usr/share/pixmaps/kaisen-pics/logos
	mkdir -p $(DESTDIR)/usr/share/pixmaps/kaisen-pics/menus
	$(INSTALL_DATA) $(PIXMAPS_MENUS) $(DESTDIR)/usr/share/pixmaps/kaisen-pics/menus

	# Create a 'kaisen-theme' symlink in plymouth themes folder, pointing at the
	# plymouth theme for the currently active 'desktop-theme' alternative.
	mkdir -p $(DESTDIR)/usr/share/plymouth/themes
	ln -s ../../desktop-base/active-theme/plymouth $(DESTDIR)/usr/share/plymouth/themes/kaisen-theme

	# Set Plasma 5/KDE default wallpaper
	install -d $(DESTDIR)/usr/share/plasma/shells/org.kde.plasma.desktop/contents/updates
	$(INSTALL_DATA) defaults/plasma5/desktop-base.js $(DESTDIR)/usr/share/plasma/shells/org.kde.plasma.desktop/contents/updates/

	# Xfce 4.6
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
	$(INSTALL_DATA) $(wildcard profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml

	# GNOME background descriptors
	mkdir -p $(DESTDIR)/usr/share/gnome-background-properties

	# kaisen theme (Kaisen Linux default)
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/kaisen
	$(INSTALL_DATA) $(wildcard kaisen-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/kaisen
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-theme
	cd $(DESTDIR)/usr/share/desktop-base/kaisen-theme && ln -s /usr/share/plymouth/themes/kaisen plymouth

	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-theme/login
	$(INSTALL_DATA) $(wildcard kaisen-theme/login/*) $(DESTDIR)/usr/share/desktop-base/kaisen-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-theme/wallpaper/contents/images
	$(INSTALL_DATA) kaisen-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/kaisen-theme/wallpaper
	$(INSTALL_DATA) kaisen-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/kaisen-theme/wallpaper
	$(INSTALL_DATA) $(wildcard kaisen-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/kaisen-theme/wallpaper/contents/images/
	$(INSTALL_DATA) kaisen-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/kaisen.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/kaisen-theme/wallpaper kaisen

	### Lockscreen is using the same image as wallpaper
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-theme/lockscreen/contents/images
	$(INSTALL_DATA) kaisen-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/kaisen-theme/lockscreen
	$(INSTALL_DATA) kaisen-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/kaisen-theme/lockscreen
	$(INSTALL_DATA) $(wildcard kaisen-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/kaisen-theme/lockscreen/contents/images/

	# lightdm theme
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/kaisen-lightdm
	$(INSTALL_DATA) $(wildcard kaisen-lightdm-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/kaisen-lightdm
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme
	cd $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme && ln -s /usr/share/plymouth/themes/kaisen-lightdm plymouth

	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme/login
	$(INSTALL_DATA) $(wildcard kaisen-lightdm-theme/login/*) $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme/wallpaper/contents/images
	$(INSTALL_DATA) kaisen-lightdm-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme/wallpaper
	$(INSTALL_DATA) kaisen-lightdm-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme/wallpaper
	$(INSTALL_DATA) $(wildcard kaisen-lightdm-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme/wallpaper/contents/images/
	$(INSTALL_DATA) kaisen-lightdm-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/kaisen-lightdm.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/kaisen-lightdm-theme/wallpaper kaisen-lightdm

	### Lockscreen is using the same image as wallpaper
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme/lockscreen/contents/images
	$(INSTALL_DATA) kaisen-lightdm-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme/lockscreen
	$(INSTALL_DATA) kaisen-lightdm-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme/lockscreen
	$(INSTALL_DATA) $(wildcard kaisen-lightdm-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-theme/lockscreen/contents/images/

	# lightdm-blue theme
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/kaisen-lightdm-blue
	$(INSTALL_DATA) $(wildcard kaisen-lightdm-blue-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/kaisen-lightdm-blue
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme
	cd $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme && ln -s /usr/share/plymouth/themes/kaisen-lightdm-blue plymouth

	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme/login
	$(INSTALL_DATA) $(wildcard kaisen-lightdm-blue-theme/login/*) $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme/wallpaper/contents/images
	$(INSTALL_DATA) kaisen-lightdm-blue-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme/wallpaper
	$(INSTALL_DATA) kaisen-lightdm-blue-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme/wallpaper
	$(INSTALL_DATA) $(wildcard kaisen-lightdm-blue-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme/wallpaper/contents/images/
	$(INSTALL_DATA) kaisen-lightdm-blue-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/kaisen-lightdm-blue.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/kaisen-lightdm-blue-theme/wallpaper kaisen-lightdm-blue

	### Lockscreen is using the same image as wallpaper
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme/lockscreen/contents/images
	$(INSTALL_DATA) kaisen-lightdm-blue-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme/lockscreen
	$(INSTALL_DATA) kaisen-lightdm-blue-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme/lockscreen
	$(INSTALL_DATA) $(wildcard kaisen-lightdm-blue-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/kaisen-lightdm-blue-theme/lockscreen/contents/images/

	# lockscreen theme
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/kaisen-lockscreen
	$(INSTALL_DATA) $(wildcard kaisen-lockscreen-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/kaisen-lockscreen
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme
	cd $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme && ln -s /usr/share/plymouth/themes/kaisen-lockscreen plymouth

	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme/login
	$(INSTALL_DATA) $(wildcard kaisen-lockscreen-theme/login/*) $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme/wallpaper/contents/images
	$(INSTALL_DATA) kaisen-lockscreen-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme/wallpaper
	$(INSTALL_DATA) kaisen-lockscreen-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme/wallpaper
	$(INSTALL_DATA) $(wildcard kaisen-lockscreen-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme/wallpaper/contents/images/
	$(INSTALL_DATA) kaisen-lockscreen-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/kaisen-lockscreen.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/kaisen-lockscreen-theme/wallpaper kaisen-lockscreen

	### Lockscreen is using the same image as wallpaper
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme/lockscreen/contents/images
	$(INSTALL_DATA) kaisen-lockscreen-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme/lockscreen
	$(INSTALL_DATA) kaisen-lockscreen-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme/lockscreen
	$(INSTALL_DATA) $(wildcard kaisen-lockscreen-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/kaisen-lockscreen-theme/lockscreen/contents/images/

	# additional1 theme
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/kaisen-additional1
	$(INSTALL_DATA) $(wildcard kaisen-additional1-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/kaisen-additional1
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-additional1-theme
	cd $(DESTDIR)/usr/share/desktop-base/kaisen-additional1-theme && ln -s /usr/share/plymouth/themes/kaisen-additional1 plymouth

	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/kaisen-additional1-theme/login
	$(INSTALL_DATA) $(wildcard kaisen-additional1-theme/login/*) $(DESTDIR)/usr/share/desktop-base/kaisen-additional1-theme/login

	### Wallpapers

=== kaisen-logos/Makefile ===
dir = usr/share/desktop-base/kaisen-logos

.PHONY: build clean install

LOGOS = $(basename $(wildcard *.svg))
$(info Logos: '$(LOGOS)')
RESOLUTIONS := 64 128 256
$(info Resolutions: '$(RESOLUTIONS)')

# The build: target should depend on all PNGs to generate
$(info $(foreach SVG,$(LOGOS),$(foreach RES,$(RESOLUTIONS),$(SVG)-$(RES).png)))
build: $(foreach SVG,$(LOGOS),$(foreach RES,$(RESOLUTIONS),$(SVG)-$(RES).png))

# Dynamically add rules for PNG generation for each resolution, for each logo file
define SVG_TO_PNG_RULE
$1-$2.png: $1.svg
	rsvg-convert $$< -h $2 -o $$@.raw
	optipng $$@.raw -out $$@
endef
$(foreach LOGO,$(LOGOS),$(foreach RES,$(RESOLUTIONS),$(eval $(call SVG_TO_PNG_RULE,$(LOGO),$(RES)))))

clean:
	rm -f *.png.raw
	rm -f *.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.svg) $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png) $(DESTDIR)/$(dir)

include ../Makefile.inc

=== kaisen-additional1-theme/grub/Makefile ===
dir = usr/share/desktop-base/kaisen-additional1-theme/grub

.PHONY: install

files = \
	grub-4x3.png \
	grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

include ../../Makefile.inc

=== kaisen-additional2-theme/grub/Makefile ===
dir = usr/share/desktop-base/kaisen-additional2-theme/grub

.PHONY: install

files = \
	grub-4x3.png \
	grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

include ../../Makefile.inc

=== kaisen-additional3-theme/grub/Makefile ===
dir = usr/share/desktop-base/kaisen-additional3-theme/grub

.PHONY: install

files = \
	grub-4x3.png \
	grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

include ../../Makefile.inc

=== kaisen-additional4-theme/grub/Makefile ===
dir = usr/share/desktop-base/kaisen-additional4-theme/grub

.PHONY: install

files = \
	grub-4x3.png \
	grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

include ../../Makefile.inc

=== kaisen-additional5-theme/grub/Makefile ===
dir = usr/share/desktop-base/kaisen-additional5-theme/grub

.PHONY: install

files = \
	grub-4x3.png \
	grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

include ../../Makefile.inc

=== kaisen-additional6-theme/grub/Makefile ===
dir = usr/share/desktop-base/kaisen-additional6-theme/grub

.PHONY: install

files = \
	grub-4x3.png \
	grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

include ../../Makefile.inc

=== kaisen-additional7-theme/grub/Makefile ===
dir = usr/share/desktop-base/kaisen-additional7-theme/grub

.PHONY: install

files = \
	grub-4x3.png \
	grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

include ../../Makefile.inc

=== kaisen-lightdm-blue-theme/grub/Makefile ===
dir = usr/share/desktop-base/kaisen-lightdm-blue-theme/grub

.PHONY: install

files = \
	grub-4x3.png \
	grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

include ../../Makefile.inc

=== kaisen-lightdm-theme/grub/Makefile ===
dir = usr/share/desktop-base/kaisen-lightdm-theme/grub

.PHONY: install

files = \
	grub-4x3.png \
	grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

include ../../Makefile.inc

=== kaisen-lockscreen-theme/grub/Makefile ===
dir = usr/share/desktop-base/kaisen-sddm-theme/grub

.PHONY: install

files = \
	grub-4x3.png \
	grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

include ../../Makefile.inc

=== debian/changelog ===
desktop-base (1:3.0) kaisen-packages; urgency=medium

  * Bump to 3.0

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 10 Aug 2024 16:27:46 +0200

desktop-base (1:2.3+kaisen7) kaisen-packages; urgency=medium

  * Replace cyan logos and avatars by blue logos
  * 0644 rights by default for all pictures

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 24 May 2024 03:15:27 +0200

desktop-base (1:2.3+kaisen6) kaisen-packages; urgency=medium

  * Add the news 3.0 Kaisen wallpapers
  * Add the plymouth-themes package in the Depends: field

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 18 May 2024 04:23:06 +0200

desktop-base (1:2.3+kaisen5) kaisen-packages; urgency=medium

  * Add the new icon for lightdm

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 07 May 2024 17:15:17 +0200

desktop-base (1:2.3+kaisen4) kaisen-packages; urgency=medium

  * Add new logos

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 01 May 2024 20:39:58 +0200

desktop-base (1:2.3+kaisen3) kaisen-packages; urgency=medium

  * Add the new plymouth theme
  * Delete the debian/compat file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 04 Apr 2024 01:20:37 +0100

desktop-base (1:2.3+kaisen2) kaisen-packages; urgency=medium

  * Add the new Kaisen logo
  * Update wallpapers for the new logo. New wallpapers are in 4K and are JPG files.
  * The postinst script is updated for new wallpapers and their names
  * Create symlinks to keep old backgrounds paths

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 13 Dec 2023 02:13:26 +0100

desktop-base (1:2.3+kaisen1) kaisen-packages; urgency=medium

  * Add diversion for plymouth themes configurations
  * Add preinst script
  * Rebuild the initramfs for all kernels installed

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 07 Oct 2023 22:33:31 +0100

desktop-base (1:2.3) kaisen-packages; urgency=medium

  * Import the 2.3 lightdm background
  * Bump the version to 2.3
  * Source logos reworked

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 18 May 2023 17:05:16 +0100

desktop-base (1:2.2) kaisen-packages; urgency=medium

  * Import the 2.2 lightdm background
  * Bump the version to 2.2

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Dec 2022 22:49:23 +0100

desktop-base (1:2.1) kaisen-packages; urgency=medium

  * Add news wallpapers for the Kaisen 2.1 release!
  * Remove the alternative background

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 09 Jun 2022 18:29:07 +0100

desktop-base (1:2.0+kaisen5) kaisen-packages; urgency=medium

  * Readd logo block but resizing

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 30 Apr 2022 01:37:54 +0100

desktop-base (1:2.0+kaisen4) kaisen-packages; urgency=medium

  * Only Kaisen logo will be displayed on plymouth themes

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 20 Apr 2022 03:18:29 +0100

desktop-base (1:2.0+kaisen3) kaisen-packages; urgency=medium

  * Update Kaisen logo for plymouth themes

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 14 Apr 2022 21:11:56 +0100

desktop-base (1:2.0+kaisen2) kaisen-packages; urgency=medium

  * Add new logos in pixmaps/ and kaisen-logos
  * Update actual logos
  * Update makefile

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 04 Mar 2022 06:27:08 +0100

desktop-base (1:2.0+kaisen1) kaisen-packages; urgency=medium

  * Update emblems logos

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 28 Feb 2022 08:55:07 +0100

desktop-base (1:2.0) kaisen-packages; urgency=medium

  * Update kaisen.png
  * Update .desktop links

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 28 Feb 2022 05:29:19 +0100

desktop-base (1:1.6) kaisen-packages; urgency=medium

  * Update control file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Apr 2021 23:07:04 +0200

desktop-base (1:1.5) kaisen-testing; urgency=medium

  * Remove all Debian themes
  * Update all Kaisen themes and metadatas

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sat, 16 Aug 2020 20:09:43 +0200

desktop-base (1:1.2) kaisen-testing; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sat, 15 Aug 2020 15:32:21 +0200

desktop-base (10.0.3) unstable; urgency=medium

  * Remove Josselin Mouette <joss@debian.org> and Paul Tagliamonte
    <paultag@debian.org> from Uploaders, thanks for your past work on
    the package! (Closes: #930145)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 08 Jun 2019 11:40:23 +0200

desktop-base (1:1.1) kaisen-testing; urgency=medium

  * Adding xfce4 configurations

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Tue, 23 Jun 2020 22:43:14 +0200

desktop-base (1:1.0+kaisen4) kaisen-testing; urgency=medium

  * Remove (all beta themes):
  * - blackdragon-theme
  * - dragondown-theme
  * - dragonup-theme
  * - dragonmiror-theme
  * - logocenter-theme
  * - logoright-theme
  * Adding :
  * - kaisen-dna-center-theme
  * - kaisen-dna-left-theme

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sun, 14 Jun 2020 21:12:42 +0200

desktop-base (1:1.0+kaisen3) kaisen-testing; urgency=medium

  * Adding :
  * - kaisen-block-black-dragon-theme
  * - kaisen-block-white-dragon-theme
  * - kaisen-line-red-theme
  * - kaisen-line-white-theme
  * - kaisen-picto-red-theme
  * - kaisen-picto-white-theme
  * - tobas-theme
  * Adding new logo in Kaisen plymouth theme
  * All pictures created by Tobas

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Fri, 05 Jun 2020 21:39:56 +0200

desktop-base (1:1.0+kaisen2) kaisen-testing; urgency=medium

  * Adding new logo created by Tobas

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Tue, 02 May 2020 19:21:31 +0200

desktop-base (1:1.0+kaisen1) kaisen-devel; urgency=medium

  * Adding Kaisen Linux themes

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Mon, 27 Apr 2020 07:15:04 +0200



=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13),
               librsvg2-bin,
               optipng,
# For the number in debian-logo-text
               fonts-quicksand,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.debian.org/devel/debian-desktop/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/desktop-base
Vcs-Git: https://gitlab.com/kaisenlinux/packages/desktop-base.git

Package: desktop-base
Architecture: all
Depends: librsvg2-common,
	 plymouth-themes,
# For the login background with logo
         fonts-quicksand,
Recommends: plymouth-label
Suggests: kaisen-kde | kaisen-lxde | kaisen-mate | kaisen-xfce
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.
